Bug 849463 - umount fails
umount fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 12:41 EDT by Harald Reindl
Modified: 2012-12-04 13:26 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:26:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of mentioned commands recdirected (stdout + errout) (4.82 KB, text/plain)
2012-08-20 06:32 EDT, Harald Reindl
no flags Details

  None (edit)
Description Harald Reindl 2012-08-19 12:41:46 EDT
it is IMPOSSIBLE that /mnt/data is in use, there are ALL services stopped, all bind-mounts unmounted and only sshd is running beside systemd - how can it be that there is anything open while there is no process and "lsof" has no output to any open file?

[root@rh:~]$ ps aux | grep -v "\["
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
root         1  0.0  0.0  48084  4876 ?        Ss   16:44   0:03 /usr/lib/systemd/systemd
root      8307  0.0  0.0  33260  1508 ?        Ss   18:37   0:00 /usr/lib/systemd/systemd-journald
root      8309  0.0  0.0  81868  3300 ?        Ss   18:37   0:00 /usr/sbin/sshd -D
root      8386  0.0  0.0 126300  4716 ?        Ss   18:37   0:00 sshd: root@pts/0    
root      8388  0.1  0.0 116048  3980 pts/0    Ss   18:37   0:00 -bash
root      8676  0.0  0.0 115720  1212 pts/0    R+   18:39   0:00 ps aux

[root@rh:~]$ df
Dateisystem    Typ      Größe Benutzt Verf. Verw% Eingehängt auf
/dev/md1       ext4       29G    6,8G   23G   24% /
/dev/md2       ext4      3,6T    2,2T  1,4T   62% /mnt/data

[root@rh:~]$ umount /mnt/data 
umount: /mnt/data: target is busy.
        (In some cases useful info about processes that use
         the device is found by lsof(8) or fuser(1))
Comment 1 Karel Zak 2012-08-20 04:15:51 EDT
Please, try

 LIBMOUNT_DEBUG=0xffff umount /mnt/data

you can also see

 strace -e umount,umount2 umount /mnt/data

output to verify the umount syscall failed.
Comment 2 Harald Reindl 2012-08-20 06:32:35 EDT
Created attachment 605656 [details]
output of mentioned commands recdirected (stdout + errout)
Comment 3 Ondrej Vasik 2012-08-20 06:55:21 EDT
Reassigning to util-linux, I don't see any connection with coreutils.
Comment 4 Karel Zak 2012-08-21 15:43:39 EDT
26595: libmount:      CXT: [0x7f6415c7c040]: umount(2) [target='/mnt/data', flags=0x00000000]
26595: libmount:      CXT: [0x7f6415c7c040]: umount(2) failed [errno=16]


It does not seem like umount(8) problem, according to kernel the mountpoint is really busy... what about dmesg output? Maybe you have any loop device, running process, whatever.

 # dmesg
 # lsblk
 # losetup -a
Comment 5 Harald Reindl 2012-08-21 15:55:23 EDT
go up to my initial report

there are only 5 processes including systemd, sshd and my shell
there are unmounted ANY bind-mounts for the raid10-array

so how the hell can there be any open files?

and no, sitting in front of the machine and killing even sshd
does not change anything expect the final count of THREE
prcoesses: systemd, systemd-journald and my bash in /root
Comment 6 Karel Zak 2012-08-27 04:38:22 EDT
Well, it does not have to be a problem with open files or running processes. The device may be referenced internally by kernel (see for example bug #808795).
Comment 7 Karel Zak 2012-11-22 06:02:47 EST
Are you able to reproduce the problem with the latest kernel and util-linux?
Comment 8 Harald Reindl 2012-11-22 06:04:12 EST
i will try this ASAP and give feedback, currently raid-check is running on my 4 TB RAID10 i liked to unmount for "fsck -Df"
Comment 9 Harald Reindl 2012-11-23 07:56:18 EST
fine - with latest kernel and util-linux (always updates-testing on it works)

[root@rh:~]$ fsck.ext4 -Df /dev/md2
e2fsck 1.42.3 (14-May-2012)
Durchgang 1: Prüfe Inodes, Blocks, und Größen
data: |==                                                      |  4.2%

Note You need to log in before you can comment on or make changes to this bug.